To define
| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Server crashed for some <%= reason %> |
GET /CareTeam?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Bundle",
"id": "8977795c40d5b1254f7421413f78057a",
"type": "searchset",
"entry": [],
"total": 0
}
GET /CareTeam?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Bundle",
"id": "b593294ae88856c76bac2b3c7164d257",
"type": "searchset",
"entry": [],
"total": 0
}
| Param name | Description |
|---|---|
|
access_token
optional |
CarePaths User OAuth Token Validations:
|
|
status
optional |
Status of Care Team (active, proposed, etc.) Validations:
|
|
patient
optional |
ID of Patient Validations:
|
|
start_date
optional |
Start date for dataset; Format YYYY-MM-DD Validations:
|
|
end_date
optional |
End date for dataset; Format YYYY-MM-DD Validations:
|
List of resources
| Param name | Description |
|---|---|
|
resource_type
required |
Bundle Validations:
|
|
type
required |
Validations:
|
| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Server crashed for some <%= reason %> |
GET /CareTeam/1008 401
GET /CareTeam/1008?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "CareTeam",
"id": "1008",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam"
]
},
"status": "active",
"subject": {
"reference": "Patient/1",
"display": "Alice Newman"
},
"participant": [
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "224583007",
"display": "Behavior therapist (occupation)"
}
]
}
],
"member": {
"reference": "Practitioner/1008",
"display": "Albert Davis"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "COMPOSER",
"display": "composer software"
}
]
}
],
"member": {
"reference": "Organization/",
"display": "Neighborhood Physicians Practice"
}
}
]
}
GET /CareTeam/1008?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "CareTeam",
"id": "1008",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam"
]
},
"status": "active",
"subject": {
"reference": "Patient/1",
"display": "Alice Newman"
},
"participant": [
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "224583007",
"display": "Behavior therapist (occupation)"
}
]
}
],
"member": {
"reference": "Practitioner/1008",
"display": "Albert Davis"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "COMPOSER",
"display": "composer software"
}
]
}
],
"member": {
"reference": "Organization/",
"display": "Neighborhood Physicians Practice"
}
}
]
}
GET /CareTeam/1008?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "CareTeam",
"id": "1008",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam"
]
},
"status": "active",
"subject": {
"reference": "Patient/1",
"display": "Alice Newman"
},
"participant": [
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "224583007",
"display": "Behavior therapist (occupation)"
}
]
}
],
"member": {
"reference": "Practitioner/1008",
"display": "Albert Davis"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "COMPOSER",
"display": "composer software"
}
]
}
],
"member": {
"reference": "Organization/",
"display": "Neighborhood Physicians Practice"
}
}
]
}
| Param name | Description |
|---|---|
|
access_token
optional |
CarePaths User OAuth Token Validations:
|
List of resources
| Param name | Description |
|---|---|
|
resource_type
required |
CareTeam Validations:
|
|
status
required |
Validations:
|
|
subject
required |
Validations:
|
|
participant
required |
Validations:
|